@mixin base-title {
  margin-top: 0;
  margin-bottom: 0;
  font-style: normal;
}

@mixin h300 {
  @include base-title;
  font-size: 0.75rem;
  font-weight: 700;
  line-height: 1.5rem;
  letter-spacing: 0.03125rem;
  text-transform: uppercase;
  color: $grey-7;
}

@mixin h500 {
  @include base-title;
  font-size: 1rem;
  font-weight: 600;
  line-height: 1.75rem;
  color: $grey-9;
}

@mixin h700 {
  @include base-title;
  font-size: 1.25rem;
  font-weight: 700;
  line-height: 1.75rem;
  letter-spacing: -0.015rem;
  color: $grey-9;
}

@mixin h800 {
  @include base-title;
  font-size: 2rem;
  font-weight: 800;
  line-height: 2.5rem;
  letter-spacing: -0.015625em;
  color: $grey-9;
}

@mixin h1000 {
  @include base-title;
  font-size: 2.5rem;
  font-weight: 800;
  line-height: 3rem;
  letter-spacing: -0.046875em;
  color: $grey-9;
}
